<?
define('PROTECTOR', 1);
$headmod = 'inventar';//фикс. места
$textl='Бонусы!';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
$req = mysql_query("SELECT * FROM `bonus` WHERE `usr` = '$udata[usr]'");
$avto = mysql_num_rows($req);
$bonus = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `dost` WHERE `usr` = '$log'");
$dost=mysql_fetch_array($req);

switch($_GET[mod]){

default:
if($avto == 0){mysql_query("INSERT INTO bonus SET usr='$udata[usr]'");}
echo'<div class="info" align="center"><b>Бонусы</b></div>';
echo"Бонус можно получить раз в неделю!<br/>";
echo"<img src=\"pic/main/stamp.png\" alt=\"*\"/> <a href=\"adv.php?mod=b1\">Получить опыта +25</a></br>";
echo"<img src=\"pic/main/gold.png\" alt=\"*\"/> <a href=\"adv.php?mod=b2\">Получить монет +25</a></br>";
echo"<img src=\"pic/main/gold.png\" alt=\"*\"/> <a href=\"adv.php?mod=b3\">Получить +1 очко распределения</a></br>";
if($udata[prava] == 5){echo"<a href=\"adv.php?mod=0\">Обнулить</a>";}
include('files/down.php');
break;

case 'b1':
if($bonus[bonus]<=0){
echo '<html><head><title>Переадресация..</title><meta http-equiv="refresh" content="1; url=http://bans.ru/28631.go"></head><body>';
echo '<b>Переадресация</b></br>Вы покидаете наш сайт по ссылке:</br>';
echo '<a href="http://bans.ru/28631.go">Подожди...</a> После перехода вам будет начислен бонус';
mysql_query("UPDATE users SET exp = '$udata[exp]'+'25' WHERE usr = '$log'");
mysql_query("UPDATE bonus SET bonus = '$bonus[bonus]'+'1' WHERE usr = '$log'");
mysql_query("UPDATE `dost` SET `prodob` = '$dost[prodob]'+'1' WHERE `usr` = '$log'");
}else{echo"<img src=\"pic/main/sword_.png\" alt=\"*\"/> Вам уже был зачислен этот бонус!";}
@include('files/down.php');
break;

case 'b2':
if($bonus[bonus2]<=0){
echo '<html><head><title>Переадресация..</title><meta http-equiv="refresh" content="1; url=http://payban.su/t.php?i=713"></head><body>';
echo '<b>Переадресация</b></br>Вы покидаете наш сайт по ссылке:</br>';
echo '<a href="http://payban.su/t.php?i=713">Подожди...</a> После перехода вам будет начислен бонус';
mysql_query("UPDATE users SET money = '$udata[money]'+'25' WHERE usr = '$log'");
mysql_query("UPDATE bonus SET bonus2 = '$bonus[bonus2]'+'1' WHERE usr = '$log'");
mysql_query("UPDATE `dost` SET `prodob` = '$dost[prodob]'+'1' WHERE `usr` = '$log'");
}else{echo"<img src=\"pic/main/sword_.png\" alt=\"*\"/> Вам уже был зачислен этот бонус!";}
@include('files/down.php');
break;

case 'b3':
if($bonus[bonus3]<=0){
echo '<html><head><title>Переадресация..</title><meta http-equiv="refresh" content="1; url=http://owap.su/14639.go?page"></head><body>';
echo '<b>Переадресация</b></br>Вы покидаете наш сайт по ссылке:</br>';
echo '<a href="http://owap.su/14639.go?page">Подожди...</a> После перехода вам будет начислен бонус';
mysql_query("UPDATE users SET skill = '$udata[skill]'+'1' WHERE usr = '$log'");
mysql_query("UPDATE bonus SET bonus3 = '$bonus[bonus3]'+'1' WHERE usr = '$log'");
mysql_query("UPDATE `dost` SET `prodob` = '$dost[prodob]'+'1' WHERE `usr` = '$log'");
}else{echo"<img src=\"pic/main/sword_.png\" alt=\"*\"/> Вам уже был зачислен этот бонус!";}
@include('files/down.php');
break;

case '0':
if($udata[prava] == 5){echo '<b>Бонусы обнулены!</b>';
mysql_query("UPDATE `bonus` SET `bonus` = '0',`bonus2` = '0',`bonus3` = '0'");
}else{echo 'Доступ закрыт';}
@include('files/down.php');
break;


}

?>
